View Issue Details

IDProjectCategoryView StatusLast Update
0004309FreeCADBugpublic2020-05-09 22:55
ReporterRoy_043 Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004309: The behavior of the Std_DrawStyle command is inconsistent when there are multiple 3D views for the active document.
DescriptionThe behavior of the Std_DrawStyle command is inconsistent when there are multiple 3D views for the active document. The draw style is not always changed in sync.
Steps To Reproduce
  1. Open a new document.
  2. Add a Part_Box.
  3. Switch the 3D view to isometric.
  4. Create a 2nd 3D view: View -> Create new view.
  5. The view should show the "As is" draw style.
  6. Switch back to the 1st 3D view.
  7. Draw style for this view should also be "As is".
  8. Change the draw style to "Hidden line".
  9. Switch to the 2nd view.
  10. Result: the draw style in the 2nd view is "Shaded".
  11. Switch back to the 1st view.
  12. Change the draw style to "No shading".
  13. Check the 2nd view.
  14. Result: the draw style in the 2nd view is "Flat lines".
  15. For the other draw styles the 2nd view is properly synced.
Additional InformationForum topic:
https://forum.freecadweb.org/viewtopic.php?f=3&t=44754
TagsNo tags attached.
FreeCAD InformationOS: Windows 8.1 (6.3)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20311 (Git)
Build type: Release
Branch: master
Hash: 915e551bbb7e3614bc804f1ae1f65027b5432b9f
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Dutch/Netherlands (nl_NL)

Activities

openBrain

2020-04-11 15:09

developer   ~0014334

According forum, the preferred solution is to just remove sync between views.

wmayer

2020-05-01 21:31

administrator   ~0014395

https://github.com/FreeCAD/FreeCAD/commit/419e8f7a998abc3201a8e934951c2ca9c33377ce

Kunda1

2020-05-02 03:56

administrator   ~0014396

FreeCAD master 419e8f7a

wmayer

2020-05-09 22:55

administrator   ~0014407

Fix committed to master branch.

Related Changesets

FreeCAD: master 419e8f7a

2020-05-01 21:30:53

wmayer

Details Diff
[skip ci] fixes 0004309: The behavior of the Std_DrawStyle command is inconsistent when there are multiple 3D views for the active document. Affected Issues
0004309
mod - src/Gui/View3DInventorViewer.cpp Diff File

Issue History

Date Modified Username Field Change
2020-04-11 07:50 Roy_043 New Issue
2020-04-11 15:09 openBrain Note Added: 0014334
2020-04-11 15:12 openBrain Status new => acknowledged
2020-05-01 21:31 wmayer Assigned To => wmayer
2020-05-01 21:31 wmayer Status acknowledged => closed
2020-05-01 21:31 wmayer Resolution open => fixed
2020-05-01 21:31 wmayer Fixed in Version => 0.19
2020-05-01 21:31 wmayer Note Added: 0014395
2020-05-02 03:56 Kunda1 Note Added: 0014396
2020-05-09 22:55 wmayer Changeset attached => FreeCAD master 419e8f7a
2020-05-09 22:55 wmayer Note Added: 0014407